#
# spec file for package gpsdrive (Version 2.03)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# neededforbuild  gpp gtk2-devel-packages libgpp mysql-client mysql-devel pcre
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs atk atk-devel autoconf automake binutils cracklib expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem gtk2 gtk2-devel libstdc++-devel libtool mysql-client mysql-devel pango pango-devel pcre pcre-devel perl pkgconfig rpm update-desktop-files

Name:         gpsdrive
URL:          http://gpsdrive.kraftvoll.at/index.shtml
License:      GPL
Group:        Productivity/Graphics/Other
Autoreqprov:  on
Version:      2.03
Release:      74
Summary:      navigation via a GPS receiver
Patch0:       printf.diff
Source:       %{name}-%{version}.tar.bz2
Source1:      %name.desktop
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
GpsDrive supports GPS receiver via seriell port. It can navigate you
via cards from http://www.mapblast.com or http://www.expedia.com.
Please have a look to the copyright of the maps.



Authors:
--------
    Fritz Ganter <ganter@ganter.at>

%prep
%setup -q
%patch
export PK_CONFIG_PATH=/opt/gnome/lib64/pkgconfig

%build
rm -rf $RPM_BUILD_ROOT
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} \
            
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# cleanup
rm -rf $RPM_BUILD_ROOT/usr/share/gpsdrive/gpsdrive
# moving greek translation into correct directory
mv $RPM_BUILD_ROOT%{_prefix}/share/locale/{gr,el}
#remove not needed files from /usr/share/gpsdrive
cd $RPM_BUILD_ROOT/usr/share/gpsdrive
ls | grep -v "\.png$" | grep -v "\.jpg$" | grep -v "^\." | xargs rm
cd -
%suse_update_desktop_file -i %name Utility Map

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc GPS-receivers README README.FreeBSD TODO ChangeLog 
%doc AUTHORS COPYING LEEME LISEZMOI FAQ.gpsdrive FAQ.gpsdrive.fr README.SQL
%doc README.gpspoint2gspdrive README.kismet create.sql wp2sql NMEA.txt
%{_mandir}/man1/*
%{_mandir}/de/man1/*
%{_mandir}/es/man1/*
%{_bindir}/*
%{_libdir}/*
%dir /usr/share/gpsdrive
/usr/share/applications/gpsdrive.desktop
%{_prefix}/share/gpsdrive/*.png
%{_prefix}/share/gpsdrive/*.jpg
%{_prefix}/share/locale/ja/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/de/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/es/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/fr/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/it/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/da/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/nl/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/hu/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/tr/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/de_AT/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/pt_BR/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/sk/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/sv/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/el/LC_MESSAGES/gpsdrive.mo
%{_prefix}/share/locale/no/LC_MESSAGES/gpsdrive.mo

%changelog -n gpsdrive
* Thu Nov 10 2005 - sf@suse.de
- fix for bug #132525 (format string bug)
* Mon Aug 25 2003 - sf@suse.de
- update to version 2.03
  minor bugfixes and feature updates
* Sun Aug 17 2003 - adrian@suse.de
- added desktop file
* Tue Jul 29 2003 - sf@suse.de
- update to version 2.01
  Downloading maps from the Expedia server works again
  A new icon was added to friends mode
* Fri Jul 25 2003 - sf@suse.de
- update to version 2.00
- japanese language support
- remove unpacked files
* Tue Jun 10 2003 - coolo@suse.de
- moving greek translation into correct locale
- misc fixes
* Wed Jun 04 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Feb 25 2003 - kukuk@suse.de
- Include cassert.
* Wed Jan 29 2003 - sf@suse.de
- update to version 1.32:
- greek language support
- use libmysql with dlopen
* Wed Jan 15 2003 - sf@suse.de
- update to version 1.31
* Mon Nov 18 2002 - sf@suse.de
- update to version 1.30:
  Added support for 'kismet', a WLAN detection tool.
  Added icons for some waypoint types in SQL mode (see README.SQL).
  Added SQL support. Currently it supports MySQL.
  Fixed changed URL for map download.
  Fixed crash in position mode.
  Updated translations.
  Gpsd now can read from file.
  Bugfix for GPS receivers sending GGA instead of RMC sentences.
  Bugfix for very large track files.
* Tue Oct 01 2002 - sf@suse.de
- upgrade to version 1.28
  changed URL to mapfiles
  Fixed crash in position mode
  Updated translations
  Gpsd now can read from file.
* Thu Sep 19 2002 - sf@suse.de
- upgrade to version 1.27 (minor bugfixes)
* Fri Sep 06 2002 - sf@suse.de
- update to 1.26, which is only a bugfix-release
  to correct errors downloading maps
- minor filelist changes
* Tue Jul 23 2002 - sf@suse.de
- update to version 1.25
- corrected filelist
* Mon Jul 08 2002 - sf@suse.de
- updated to version 1.24
* Thu May 23 2002 - sf@suse.de
- initial version 1.22
